# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/04/28 02:04:06-04:00 len.brown@intel.com 
#   [ACPI] pci-link may not always be SHARED (SuSE via Luming Yu)
#   http://bugzilla.kernel.org/show_bug.cgi?id=2404
# 
# drivers/acpi/pci_link.c
#   2004/04/28 02:03:16-04:00 len.brown@intel.com +8 -0
#   pci-link may not always be SHARED
# 
diff -Nru a/drivers/acpi/pci_link.c b/drivers/acpi/pci_link.c
--- a/drivers/acpi/pci_link.c	Wed Apr 28 02:04:15 2004
+++ b/drivers/acpi/pci_link.c	Wed Apr 28 02:04:15 2004
@@ -371,6 +371,10 @@
 		resource.res.length = sizeof(struct acpi_resource);
 		resource.res.data.irq.edge_level = link->irq.edge_level;
 		resource.res.data.irq.active_high_low = link->irq.active_high_low;
+		if (link->irq.edge_level == ACPI_EDGE_SENSITIVE)
+			resource.res.data.irq.shared_exclusive = ACPI_EXCLUSIVE;
+		else
+			resource.res.data.irq.shared_exclusive = ACPI_SHARED;
 		resource.res.data.irq.number_of_interrupts = 1;
 		resource.res.data.irq.interrupts[0] = irq;
 		break;
@@ -381,6 +385,10 @@
 		resource.res.data.extended_irq.producer_consumer = ACPI_CONSUMER;
 		resource.res.data.extended_irq.edge_level = link->irq.edge_level;
 		resource.res.data.extended_irq.active_high_low = link->irq.active_high_low;
+		if (link->irq.edge_level == ACPI_EDGE_SENSITIVE)
+			resource.res.data.irq.shared_exclusive = ACPI_EXCLUSIVE;
+		else
+			resource.res.data.irq.shared_exclusive = ACPI_SHARED;
 		resource.res.data.extended_irq.number_of_interrupts = 1;
 		resource.res.data.extended_irq.interrupts[0] = irq;
 		/* ignore resource_source, it's optional */
